This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 7 replies, has 2 voices.

Last updated by Itamar 4 months, 1 week ago.

Assigned support staff: Itamar.

Author Posts
June 11, 2019 at 6:55 pm #3998103

davidD-102

Tell us what you are trying to do? I am not able to update the plugin, its giving me an error. Also I am keep seeing a notification so what is that for ( WPML All Import requires WP All Import Pro or Free and WPML Multilingual CMS. )?

Is there any documentation that you are following? no

Is there a similar example that we can see? yes, you can see on live website's backend

What is the link to your site?

--removed by supporter--

June 11, 2019 at 7:20 pm #3998221

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+03:00)

Hi.

We have a known issue with our latest update to WPML version 4.2.7.
The following message is shown.

Uncaught Error: Class 'WPML_Option_Manager' not found in .../wp-content/plugins/wpml-translation-management/classes/ATE/Hooks/class-wpml-tm-ams-check-website-id-factory.php on line 9

This error might happen if the plugin Sitepress Multilingual CMS is updated before WPML Translation Management.
Is this the error that you are getting?
If so, then please read our errata page here to try to fix it.
https://wpml.org/errata/uncaught-error-class-wpml_option_manager-not-found/
You can also update the plugins manually.
In any case, our developers should release a hotfix for this issue tomorrow.

Regards,
Itamar.

June 11, 2019 at 7:25 pm #3998239

davidD-102

Hi,

Thank you for your response.

Could you please login on backend and see the issues, I have 4 updates there but not able to update any so it would be good if you can check it at your end. I can send you cpanel info too if you need code access to resolve it.

--removed by supporter--

June 11, 2019 at 7:39 pm #3998313

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+03:00)

Hi.

For your site's safety, I've removed your site's credentials from this thread. This is a public forum so please refrain from posting sensitive to the public replies. I'm enabling a private reply now so that you can share with me the access details properly.

Since this the end of my shift I'll be able to continue handling this issue tomorrow. If you are not succeding to update WPML, for now, you can simply roll back to the previous version of WPML and its add-ons.

Thanks,
Itamar.

June 12, 2019 at 4:44 pm #4006233

davidD-102

Hey,

I am still waiting for your response.

thanks

June 12, 2019 at 5:51 pm #4006633

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+03:00)

Hi and thanks for the access details.

By now, we have already fixed the updating issue. When I check your site now, it seems that all our plugins are updated on your site. Please see the attached screenshot. I checked it here on your site.
hidden link
Please note that the current version of WooCommerce Multilingual is 4.6.5 and you have this version. I guess that tomorrow the 'Actual' column would update. What's important is that you have the latest version.

Can you please confirm that the updating issue is solved now?

Thanks,
Itamar.

June 12, 2019 at 5:57 pm #4006769
davidD-102

Hi,

I checked it and it's good now, thank you.

Now I asked one more concern:

I am keep getting this notification "WPML All Import requires WP All Import Pro or Free and WPML Multilingual CMS." could you please check this and remove this if its not imprtant.

thank you

June 12, 2019 at 8:13 pm #4007559

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+03:00)

Great! , I'm glad that this issue is solved now.

Could you please mark this ticket as resolved?

Thanks,
Itamar.